## Update a Web Analytics rule `client.RUM.Rules.Update(ctx, rulesetID, ruleID, params) (*RUMRule, error)` **put** `/accounts/{account_id}/rum/v2/{ruleset_id}/rule/{rule_id}` Updates a rule in a Web Analytics ruleset. ### Parameters - `rulesetID string` The Web Analytics ruleset identifier. - `ruleID string` The Web Analytics rule identifier. - `params RuleUpdateParams` - `AccountID param.Field[string]` Path param: Identifier. - `Host param.Field[string]` Body param - `Inclusive param.Field[bool]` Body param: Whether the rule includes or excludes traffic from being measured. - `IsPaused param.Field[bool]` Body param: Whether the rule is paused or not. - `Paths param.Field[[]string]` Body param ### Returns - `type RUMRule struct{…}` - `ID string` The Web Analytics rule identifier. - `Created Time` - `Host string` The hostname the rule will be applied to. - `Inclusive bool` Whether the rule includes or excludes traffic from being measured. - `IsPaused bool` Whether the rule is paused or not. - `Paths []string` The paths the rule will be applied to. - `Priority float64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/rum" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) rumRule, err := client.RUM.Rules.Update( context.TODO(), "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", rum.RuleUpdateParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", rumRule.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } } ```